io.undertow.util

## Class QueryParameterUtils

- java.lang.Object
- - io.undertow.util.QueryParameterUtils

    public class QueryParameterUtils
    extends Object

Methods for dealing with the query string

Author:
  Stuart Douglas

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static String` `buildQueryString(Map<String,Deque<String>> params)`
`static String` `getQueryParamEncoding(HttpServerExchange exchange)`
`static Map<String,Deque<String>>` `mergeQueryParametersWithNewQueryString(Map<String,Deque<String>> queryParameters, String newQueryString)` Deprecated.
`static Map<String,Deque<String>>` `mergeQueryParametersWithNewQueryString(Map<String,Deque<String>> queryParameters, String newQueryString, String encoding)`
`static Map<String,Deque<String>>` `parseQueryString(String newQueryString)` Deprecated.
`static Map<String,Deque<String>>` `parseQueryString(String newQueryString, String encoding)` Parses a query string into a map

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### buildQueryString

    public static String buildQueryString(Map<String,Deque<String>> params)

#### parseQueryString

    @Deprecated
    public static Map<String,Deque<String>> parseQueryString(String newQueryString)

Deprecated.
Parses a query string into a map

Parameters:
  `newQueryString` - The query string
Returns:
  The map of key value parameters

#### parseQueryString

    public static Map<String,Deque<String>> parseQueryString(String newQueryString,
                                                             String encoding)

Parses a query string into a map

Parameters:
  `newQueryString` - The query string
Returns:
  The map of key value parameters

#### mergeQueryParametersWithNewQueryString

    @Deprecated
    public static Map<String,Deque<String>> mergeQueryParametersWithNewQueryString(Map<String,Deque<String>> queryParameters,
                                                                                               String newQueryString)

Deprecated.

#### mergeQueryParametersWithNewQueryString

    public static Map<String,Deque<String>> mergeQueryParametersWithNewQueryString(Map<String,Deque<String>> queryParameters,
                                                                                   String newQueryString,
                                                                                   String encoding)

#### getQueryParamEncoding

    public static String getQueryParamEncoding(HttpServerExchange exchange)